
	@keyframes svelte-8rmx0i-rotateGradient {
		0% {
			background-position: 0% 50%;
		}
		50% {
			background-position: 100% 50%;
		}
		100% {
			background-position: 0% 50%;
		}
	}

	.ai-gradient-bg.svelte-8rmx0i {
		position: relative;
		overflow: hidden;
	}

	.ai-gradient-bg.svelte-8rmx0i::before {
		content: '';
		position: absolute;
		top: -2px;
		left: -2px;
		right: -2px;
		bottom: -2px;
		background: #03001e; /* fallback for old browsers */ /* Chrome 10-25, Safari 5.1-6 */
		background: linear-gradient(
			135deg,
			#fdeff9,
			#7138ec,
			#7303c0,
			#03001e
		); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

		background-size: 200% 200%;
		border-radius: inherit;
		z-index: 1;
		animation: svelte-8rmx0i-rotateGradient 4s ease-in-out infinite;
		transition: opacity 0.3s ease-in-out;
	}

	.ai-gradient-bg.svelte-8rmx0i:hover::before {
		opacity: 0.9;
	}

	.ai-gradient-bg.svelte-8rmx0i:active:not(:disabled)::before {
		background: linear-gradient(135deg, #5a6fd8, #6a4190);
		animation: none;
	}
